Subject: Celebrity looks cost less now!

From: " Sv" <[email-masked] >
Date: Tue, 10 Jul 2007 13:33:30 -0400

Get yourself a gorgeous luxury watch at a tiny fraction of the original price!
Our prices are the lowest on Web and we offer free delivery to all our clients!
Detailed replicas identical with the original brand-name chronometers here!
http://disrich.com